Subject: Re: [RFC PATCHv2 1/2] am: add gitk patch format

From: Junio C Hamano <[email-masked]>
Date: Thu, 04 Sep 2014 10:21:50 -0700

Chris Packham <[email-masked]> writes:

> Another thing that I've since realised is that this 'gitk' format is
> also what you've get from git show or git log -p. So this is actually
> allowing (for better or worse) things like 'git show $sha1 | git am
> --patch-format=gitk'[*1*]. That may mean that we should call the
> format something else ("pretty" perhaps?) and note that this is what
> gitk, git show and some incantations of git log generate.

I would not call it "pretty", because "--pretty" is merely a
short-hand to "--pretty=<some format name>".

The output format indents the log message text by four spaces for
human reading to make it stand out from the patch text, and not
meant for machine consumption.  I doubt that a patchset that does
not update mailinfo and mailsplit to extract information and to undo
the indentation could be a right solution.  "am" itself should not
be mucking with the input files.